Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CORBA_Request_var Class Reference

`#include <Request.h>`

Collaboration diagram for CORBA_Request_var:

[legend]
List of all members.

## Public Methods
| CORBA_Request_var (void)
| CORBA_Request_var (CORBA_Request_ptr)
| CORBA_Request_var (const CORBA_Request_var &)
| ~CORBA_Request_var (void)
CORBA_Request_var & | operator= (CORBA_Request_ptr)
CORBA_Request_var & | operator= (const CORBA_Request_var &)
CORBA_Request_ptr | operator-> (void) const
| operator const CORBA_Request_ptr & () const
| operator CORBA_Request_ptr & ()
CORBA_Request_ptr | in (void) const
CORBA_Request_ptr & | inout (void)
CORBA_Request_ptr & | out (void)
CORBA_Request_ptr | _retn (void)
CORBA_Request_ptr | ptr (void) const
## Private Attributes
CORBA_Request_ptr | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CORBA_Request_var::CORBA_Request_var | ( | void |  | ) |

ACE_INLINE CORBA_Request_var::CORBA_Request_var | ( | CORBA_Request_ptr | p | ) |

ACE_INLINE CORBA_Request_var::CORBA_Request_var | ( | const CORBA_Request_var & | p | ) |

ACE_INLINE CORBA_Request_var::~CORBA_Request_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE CORBA_Request_ptr CORBA_Request_var::_retn | ( | void |  | ) |

ACE_INLINE CORBA_Request_ptr CORBA_Request_var::in | ( | void |  | ) | const

ACE_INLINE CORBA_Request_ptr & CORBA_Request_var::inout | ( | void |  | ) |

ACE_INLINE CORBA_Request_var::operator const CORBA_Request_ptr & | ( |  | ) | const

ACE_INLINE CORBA_Request_var::operator CORBA_Request_ptr & | ( |  | ) |

ACE_INLINE CORBA_Request_ptr CORBA_Request_var::operator-> | ( | void |  | ) | const

ACE_INLINE CORBA_Request_var & CORBA_Request_var::operator= | ( | const CORBA_Request_var & | p | ) |

ACE_INLINE CORBA_Request_var & CORBA_Request_var::operator= | ( | CORBA_Request_ptr | p | ) |

ACE_INLINE CORBA_Request_ptr & CORBA_Request_var::out | ( | void |  | ) |

ACE_INLINE CORBA_Request_ptr CORBA_Request_var::ptr | ( | void |  | ) | const

## Member Data Documentation

CORBA_Request_ptr CORBA_Request_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- Request.h
- Request.inl